Bug 1290322 - [abrt] gnome-shell: cogl_texture_get_width(): gnome-shell killed by SIGSEGV
[abrt] gnome-shell: cogl_texture_get_width(): gnome-shell killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d951742974a15d91bbd3b515b2e...
:
: 1209053 (view as bug list)
Depends On:
Blocks: WaylandRelated
  Show dependency treegraph
 
Reported: 2015-12-10 03:52 EST by Jan Sedlák
Modified: 2016-12-20 11:52 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:52:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (101.93 KB, text/plain)
2015-12-10 03:52 EST, Jan Sedlák
no flags Details
File: cgroup (220 bytes, text/plain)
2015-12-10 03:52 EST, Jan Sedlák
no flags Details
File: core_backtrace (5.37 KB, text/plain)
2015-12-10 03:52 EST, Jan Sedlák
no flags Details
File: dso_list (25.63 KB, text/plain)
2015-12-10 03:52 EST, Jan Sedlák
no flags Details
File: environ (1.01 KB, text/plain)
2015-12-10 03:52 EST, Jan Sedlák
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-10 03:52 EST, Jan Sedlák
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-10 03:52 EST, Jan Sedlák
no flags Details
File: maps (135.64 KB, text/plain)
2015-12-10 03:52 EST, Jan Sedlák
no flags Details
File: mountinfo (4.00 KB, text/plain)
2015-12-10 03:52 EST, Jan Sedlák
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-10 03:52 EST, Jan Sedlák
no flags Details
File: open_fds (7.34 KB, text/plain)
2015-12-10 03:52 EST, Jan Sedlák
no flags Details
File: proc_pid_status (1.02 KB, text/plain)
2015-12-10 03:52 EST, Jan Sedlák
no flags Details
File: var_log_messages (3.89 KB, text/plain)
2015-12-10 03:52 EST, Jan Sedlák
no flags Details

  None (edit)
Description Jan Sedlák 2015-12-10 03:52:02 EST
Description of problem:
Closed window of Evince when recording desktop.

Version-Release number of selected component:
gnome-shell-3.18.3-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell --wayland --display-server
crash_function: cogl_texture_get_width
executable:     /usr/bin/gnome-shell
global_pid:     19973
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 cogl_texture_get_width at cogl-texture.c:210
 #1 recorder_fetch_cursor_image at shell-recorder.c:325
 #2 recorder_draw_cursor at shell-recorder.c:363
 #3 recorder_record_frame at shell-recorder.c:446
 #4 recorder_on_stage_paint at shell-recorder.c:464
 #9 clutter_actor_continue_paint at clutter-actor.c:4018
 #10 clutter_actor_paint at clutter-actor.c:3938
 #12 _clutter_stage_do_paint at clutter-stage.c:687
 #13 clutter_stage_cogl_redraw at cogl/clutter-stage-cogl.c:548
 #14 clutter_stage_do_redraw at clutter-stage.c:1130

Potential duplicate: bug 1209053
Comment 1 Jan Sedlák 2015-12-10 03:52:07 EST
Created attachment 1104256 [details]
File: backtrace
Comment 2 Jan Sedlák 2015-12-10 03:52:08 EST
Created attachment 1104257 [details]
File: cgroup
Comment 3 Jan Sedlák 2015-12-10 03:52:09 EST
Created attachment 1104258 [details]
File: core_backtrace
Comment 4 Jan Sedlák 2015-12-10 03:52:11 EST
Created attachment 1104259 [details]
File: dso_list
Comment 5 Jan Sedlák 2015-12-10 03:52:25 EST
Created attachment 1104260 [details]
File: environ
Comment 6 Jan Sedlák 2015-12-10 03:52:27 EST
Created attachment 1104261 [details]
File: exploitable
Comment 7 Jan Sedlák 2015-12-10 03:52:28 EST
Created attachment 1104262 [details]
File: limits
Comment 8 Jan Sedlák 2015-12-10 03:52:31 EST
Created attachment 1104263 [details]
File: maps
Comment 9 Jan Sedlák 2015-12-10 03:52:32 EST
Created attachment 1104264 [details]
File: mountinfo
Comment 10 Jan Sedlák 2015-12-10 03:52:34 EST
Created attachment 1104265 [details]
File: namespaces
Comment 11 Jan Sedlák 2015-12-10 03:52:36 EST
Created attachment 1104266 [details]
File: open_fds
Comment 12 Jan Sedlák 2015-12-10 03:52:37 EST
Created attachment 1104267 [details]
File: proc_pid_status
Comment 13 Jan Sedlák 2015-12-10 03:52:39 EST
Created attachment 1104268 [details]
File: var_log_messages
Comment 14 Jan Sedlák 2015-12-10 03:59:30 EST
I have clear reproducer - start recording desktop with Ctrl-Alt-Shift-r, open Evince window, open document and then close it.
Comment 15 Jan Sedlák 2015-12-10 04:14:07 EST
Ok, it turned out that reproducer isn't all that reliable after all. But it happens to me most of the time when I'm working with Evince and recording my desktop at the same time.
Comment 16 Jan Sedlák 2015-12-10 04:30:06 EST
It also shows bug in intel driver https://retrace.fedoraproject.org/faf/reports/926325/ - I don't know whether it's related.
Comment 17 Francisco de la Peña 2015-12-13 18:12:48 EST
Same here, GNOME on Wayland and after Ctrl+Shift+Alt+R to record, not needed to open/close any app (Intel graphics user, too).
Comment 18 mchalupa 2016-04-22 11:20:16 EDT
*** Bug 1209053 has been marked as a duplicate of this bug. ***
Comment 19 Christian Stadelmann 2016-09-26 14:40:39 EDT
I cannot reproduce this issue with Fedora 25 (Gnome 3.22) any more. Do you?
Comment 20 Fedora End Of Life 2016-11-24 09:07:53 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 21 Fedora End Of Life 2016-12-20 11:52:18 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.